Index: /trunk/sources/HeuristicLab.Core.Views/3.3/HeuristicLab.Core.Views-3.3.csproj
===================================================================
--- /trunk/sources/HeuristicLab.Core.Views/3.3/HeuristicLab.Core.Views-3.3.csproj	(revision 2664)
+++ /trunk/sources/HeuristicLab.Core.Views/3.3/HeuristicLab.Core.Views-3.3.csproj	(revision 2665)
@@ -59,10 +59,4 @@
     </Compile>
     <Compile Include="Auxiliary.cs" />
-    <Compile Include="DefaultItemView.cs">
-      <SubType>UserControl</SubType>
-    </Compile>
-    <Compile Include="DefaultItemView.Designer.cs">
-      <DependentUpon>DefaultItemView.cs</DependentUpon>
-    </Compile>
     <Compile Include="EngineView.cs">
       <SubType>UserControl</SubType>
Index: /trunk/sources/HeuristicLab.Core.Views/3.3/ParameterView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core.Views/3.3/ParameterView.cs	(revision 2664)
+++ /trunk/sources/HeuristicLab.Core.Views/3.3/ParameterView.cs	(revision 2665)
@@ -33,5 +33,5 @@
   /// The visual representation of a <see cref="Parameter"/>.
   /// </summary>
-  [Content(typeof(IParameter), true)]
+  [Content(typeof(Parameter), true)]
   public partial class ParameterView : NamedItemView {
     /// <summary>
@@ -40,6 +40,6 @@
     /// <remarks>Uses property <see cref="ViewBase.Item"/> of base class <see cref="ViewBase"/>.
     /// No own data storage present.</remarks>
-    public IParameter Parameter {
-      get { return (IParameter)Item; }
+    public Parameter Parameter {
+      get { return (Parameter)Item; }
       set { base.Item = value; }
     }
@@ -57,5 +57,5 @@
     /// <remarks>Calls <see cref="VariableView()"/>.</remarks>
     /// <param name="variable">The variable to represent visually.</param>
-    public ParameterView(IParameter parameter)
+    public ParameterView(Parameter parameter)
       : this() {
       Parameter = parameter;
Index: /trunk/sources/HeuristicLab.Core.Views/3.3/ViewHost.Designer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core.Views/3.3/ViewHost.Designer.cs	(revision 2664)
+++ /trunk/sources/HeuristicLab.Core.Views/3.3/ViewHost.Designer.cs	(revision 2665)
@@ -46,4 +46,5 @@
     private void InitializeComponent() {
       this.viewPanel = new System.Windows.Forms.Panel();
+      this.messageLabel = new System.Windows.Forms.Label();
       this.viewLabel = new System.Windows.Forms.Label();
       this.viewComboBox = new System.Windows.Forms.ComboBox();
@@ -59,4 +60,15 @@
       this.viewPanel.Size = new System.Drawing.Size(227, 157);
       this.viewPanel.TabIndex = 2;
+      // 
+      // messageLabel
+      // 
+      this.messageLabel.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
+                  | System.Windows.Forms.AnchorStyles.Right)));
+      this.messageLabel.Location = new System.Drawing.Point(3, 24);
+      this.messageLabel.Name = "messageLabel";
+      this.messageLabel.Size = new System.Drawing.Size(221, 20);
+      this.messageLabel.TabIndex = 0;
+      this.messageLabel.Text = "No view available.";
+      this.messageLabel.TextAlign = System.Drawing.ContentAlignment.TopCenter;
       // 
       // viewLabel
@@ -85,4 +97,5 @@
       this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
       this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
+      this.Controls.Add(this.messageLabel);
       this.Controls.Add(this.viewComboBox);
       this.Controls.Add(this.viewLabel);
@@ -100,4 +113,5 @@
     private System.Windows.Forms.Label viewLabel;
     private System.Windows.Forms.ComboBox viewComboBox;
+    private System.Windows.Forms.Label messageLabel;
 
   }
Index: /trunk/sources/HeuristicLab.Core.Views/3.3/ViewHost.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core.Views/3.3/ViewHost.cs	(revision 2664)
+++ /trunk/sources/HeuristicLab.Core.Views/3.3/ViewHost.cs	(revision 2665)
@@ -53,4 +53,5 @@
       viewComboBox.Enabled = false;
       viewComboBox.Visible = false;
+      messageLabel.Visible = false;
       if (viewPanel.Controls.Count > 0) viewPanel.Controls[0].Dispose();
       viewPanel.Controls.Clear();
@@ -63,8 +64,11 @@
         foreach (Type viewType in viewTypes)
           viewComboBox.Items.Add(viewType);
-        if (viewComboBox.Items.Count > 0) {
+        if (viewComboBox.Items.Count == 0) {
+          messageLabel.Visible = true;
+        } else {
           viewLabel.Visible = true;
           viewComboBox.Enabled = true;
           viewComboBox.Visible = true;
+          messageLabel.Visible = false;
         }
 
Index: /trunk/sources/HeuristicLab.Data.Views/3.3/BoolDataView.Designer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Data.Views/3.3/BoolDataView.Designer.cs	(revision 2665)
+++ /trunk/sources/HeuristicLab.Data.Views/3.3/BoolDataView.Designer.cs	(revision 2665)
@@ -0,0 +1,77 @@
+#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2008 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+namespace HeuristicLab.Data.Views {
+  partial class BoolDataView {
+    /// <summary> 
+    /// Required designer variable.
+    /// </summary>
+    private System.ComponentModel.IContainer components = null;
+
+    /// <summary> 
+    /// Clean up any resources being used.
+    /// </summary>
+    /// <param name="disposing">true if managed resources should be disposed; otherwise, false.</param>
+    protected override void Dispose(bool disposing) {
+      if (disposing) {
+        if (components != null) components.Dispose();
+      }
+      base.Dispose(disposing);
+    }
+
+    #region Component Designer generated code
+
+    /// <summary> 
+    /// Required method for Designer support - do not modify 
+    /// the contents of this method with the code editor.
+    /// </summary>
+    private void InitializeComponent() {
+      this.valueCheckBox = new System.Windows.Forms.CheckBox();
+      this.SuspendLayout();
+      // 
+      // valueCheckBox
+      // 
+      this.valueCheckBox.AutoSize = true;
+      this.valueCheckBox.Location = new System.Drawing.Point(3, 3);
+      this.valueCheckBox.Name = "valueCheckBox";
+      this.valueCheckBox.Size = new System.Drawing.Size(15, 14);
+      this.valueCheckBox.TabIndex = 0;
+      this.valueCheckBox.UseVisualStyleBackColor = true;
+      this.valueCheckBox.CheckedChanged += new System.EventHandler(this.valueCheckBox_CheckedChanged);
+      // 
+      // BoolDataView
+      // 
+      this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
+      this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
+      this.Controls.Add(this.valueCheckBox);
+      this.Name = "BoolDataView";
+      this.Size = new System.Drawing.Size(30, 32);
+      this.ResumeLayout(false);
+      this.PerformLayout();
+
+    }
+
+    #endregion
+
+    private System.Windows.Forms.CheckBox valueCheckBox;
+
+  }
+}
Index: /trunk/sources/HeuristicLab.Data.Views/3.3/BoolDataView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Data.Views/3.3/BoolDataView.cs	(revision 2665)
+++ /trunk/sources/HeuristicLab.Data.Views/3.3/BoolDataView.cs	(revision 2665)
@@ -0,0 +1,83 @@
+#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2008 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System;
+using System.Collections.Generic;
+using System.ComponentModel;
+using System.Drawing;
+using System.Data;
+using System.Text;
+using System.Windows.Forms;
+using HeuristicLab.Core.Views;
+using HeuristicLab.MainForm;
+
+namespace HeuristicLab.Data.Views {
+  [Content(typeof(BoolData), true)]
+  public partial class BoolDataView : ItemView {
+    public BoolData BoolData {
+      get { return (BoolData)Item; }
+      set { base.Item = value; }
+    }
+
+    public BoolDataView() {
+      InitializeComponent();
+      Caption = "BoolData View";
+    }
+    public BoolDataView(BoolData boolData)
+      : this() {
+      BoolData = boolData;
+    }
+
+    protected override void DeregisterObjectEvents() {
+      BoolData.ValueChanged -= new EventHandler(BoolData_ValueChanged);
+      base.DeregisterObjectEvents();
+    }
+
+    protected override void RegisterObjectEvents() {
+      base.RegisterObjectEvents();
+      BoolData.ValueChanged += new EventHandler(BoolData_ValueChanged);
+    }
+
+    protected override void OnObjectChanged() {
+      base.OnObjectChanged();
+      if (BoolData == null) {
+        Caption = "BoolData View";
+        valueCheckBox.Checked = false;
+        valueCheckBox.Enabled = false;
+      } else {
+        Caption = BoolData.ToString() + " (" + BoolData.GetType().Name + ")";
+        valueCheckBox.Checked = BoolData.Value;
+        valueCheckBox.Enabled = true;
+      }
+    }
+
+    private void BoolData_ValueChanged(object sender, EventArgs e) {
+      if (InvokeRequired)
+        Invoke(new EventHandler(BoolData_ValueChanged), sender, e);
+      else
+        valueCheckBox.Checked = BoolData.Value;
+    }
+
+    private void valueCheckBox_CheckedChanged(object sender, EventArgs e) {
+      BoolData.Value = valueCheckBox.Checked;
+    }
+  }
+}
Index: /trunk/sources/HeuristicLab.Data.Views/3.3/HeuristicLab.Data.Views-3.3.csproj
===================================================================
--- /trunk/sources/HeuristicLab.Data.Views/3.3/HeuristicLab.Data.Views-3.3.csproj	(revision 2664)
+++ /trunk/sources/HeuristicLab.Data.Views/3.3/HeuristicLab.Data.Views-3.3.csproj	(revision 2665)
@@ -51,11 +51,17 @@
   </ItemGroup>
   <ItemGroup>
-    <Compile Include="HeuristicLabDataViewsPlugin.cs" />
-    <Compile Include="IntDataView.cs">
+    <Compile Include="BoolDataView.cs">
       <SubType>UserControl</SubType>
     </Compile>
-    <Compile Include="IntDataView.Designer.cs">
-      <DependentUpon>IntDataView.cs</DependentUpon>
+    <Compile Include="BoolDataView.Designer.cs">
+      <DependentUpon>BoolDataView.cs</DependentUpon>
     </Compile>
+    <Compile Include="StringConvertibleDataView.cs">
+      <SubType>UserControl</SubType>
+    </Compile>
+    <Compile Include="StringConvertibleDataView.Designer.cs">
+      <DependentUpon>StringConvertibleDataView.cs</DependentUpon>
+    </Compile>
+    <Compile Include="HeuristicLabDataViewsPlugin.cs" />
     <Compile Include="Properties\AssemblyInfo.cs" />
   </ItemGroup>
Index: /trunk/sources/HeuristicLab.Data.Views/3.3/StringConvertibleDataView.Designer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Data.Views/3.3/StringConvertibleDataView.Designer.cs	(revision 2665)
+++ /trunk/sources/HeuristicLab.Data.Views/3.3/StringConvertibleDataView.Designer.cs	(revision 2665)
@@ -0,0 +1,77 @@
+#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2008 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+namespace HeuristicLab.Data.Views {
+  partial class StringConvertibleDataView {
+    /// <summary> 
+    /// Required designer variable.
+    /// </summary>
+    private System.ComponentModel.IContainer components = null;
+
+    /// <summary> 
+    /// Clean up any resources being used.
+    /// </summary>
+    /// <param name="disposing">true if managed resources should be disposed; otherwise, false.</param>
+    protected override void Dispose(bool disposing) {
+      if (disposing) {
+        if (components != null) components.Dispose();
+      }
+      base.Dispose(disposing);
+    }
+
+    #region Component Designer generated code
+
+    /// <summary> 
+    /// Required method for Designer support - do not modify 
+    /// the contents of this method with the code editor.
+    /// </summary>
+    private void InitializeComponent() {
+      this.valueTextBox = new System.Windows.Forms.TextBox();
+      this.SuspendLayout();
+      // 
+      // valueTextBox
+      // 
+      this.valueTextBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
+                  | System.Windows.Forms.AnchorStyles.Right)));
+      this.valueTextBox.Location = new System.Drawing.Point(3, 0);
+      this.valueTextBox.Name = "valueTextBox";
+      this.valueTextBox.Size = new System.Drawing.Size(244, 20);
+      this.valueTextBox.TabIndex = 0;
+      this.valueTextBox.Validated += new System.EventHandler(this.valueTextBox_Validated);
+      this.valueTextBox.Validating += new System.ComponentModel.CancelEventHandler(this.valueTextBox_Validating);
+      // 
+      // StringConvertibleDataView
+      // 
+      this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
+      this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
+      this.Controls.Add(this.valueTextBox);
+      this.Name = "StringConvertibleDataView";
+      this.Size = new System.Drawing.Size(250, 34);
+      this.ResumeLayout(false);
+      this.PerformLayout();
+
+    }
+
+    #endregion
+
+    private System.Windows.Forms.TextBox valueTextBox;
+  }
+}
Index: /trunk/sources/HeuristicLab.Data.Views/3.3/StringConvertibleDataView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Data.Views/3.3/StringConvertibleDataView.cs	(revision 2665)
+++ /trunk/sources/HeuristicLab.Data.Views/3.3/StringConvertibleDataView.cs	(revision 2665)
@@ -0,0 +1,91 @@
+#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2008 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System;
+using System.Collections.Generic;
+using System.ComponentModel;
+using System.Drawing;
+using System.Data;
+using System.Text;
+using System.Windows.Forms;
+using HeuristicLab.Core.Views;
+using HeuristicLab.MainForm;
+
+namespace HeuristicLab.Data.Views {
+  [Content(typeof(IStringConvertibleData), true)]
+  public partial class StringConvertibleDataView : ObjectView {
+    public IStringConvertibleData StringConvertibleData {
+      get { return (IStringConvertibleData)Object; }
+      set { base.Object = value; }
+    }
+
+    public StringConvertibleDataView() {
+      InitializeComponent();
+      Caption = "StringConvertibleData View";
+    }
+    public StringConvertibleDataView(IStringConvertibleData stringConvertibleData)
+      : this() {
+      StringConvertibleData = stringConvertibleData;
+    }
+
+    protected override void DeregisterObjectEvents() {
+      StringConvertibleData.ValueChanged -= new EventHandler(StringConvertibleData_ValueChanged);
+      base.DeregisterObjectEvents();
+    }
+
+    protected override void RegisterObjectEvents() {
+      base.RegisterObjectEvents();
+      StringConvertibleData.ValueChanged += new EventHandler(StringConvertibleData_ValueChanged);
+    }
+
+    protected override void OnObjectChanged() {
+      base.OnObjectChanged();
+      if (StringConvertibleData == null) {
+        Caption = "StringConvertibleData View";
+        valueTextBox.Text = "-";
+        valueTextBox.Enabled = false;
+      } else {
+        Caption = StringConvertibleData.GetValue() + " (" + StringConvertibleData.GetType().Name + ")";
+        valueTextBox.Text = StringConvertibleData.GetValue();
+        valueTextBox.Enabled = true;
+      }
+    }
+
+    private void StringConvertibleData_ValueChanged(object sender, EventArgs e) {
+      if (InvokeRequired)
+        Invoke(new EventHandler(StringConvertibleData_ValueChanged), sender, e);
+      else
+        valueTextBox.Text = StringConvertibleData.GetValue();
+    }
+
+    private void valueTextBox_Validating(object sender, CancelEventArgs e) {
+      e.Cancel = !StringConvertibleData.SetValue(valueTextBox.Text);
+      if (e.Cancel) {
+        MessageBox.Show(this, "\"" + valueTextBox.Text + "\" is not a valid value.", "Invalid Value", MessageBoxButtons.OK, MessageBoxIcon.Error);
+        valueTextBox.SelectAll();
+        valueTextBox.Focus();
+      }
+    }
+    private void valueTextBox_Validated(object sender, EventArgs e) {
+      valueTextBox.Text = StringConvertibleData.GetValue();
+    }
+  }
+}
Index: /trunk/sources/HeuristicLab.Data/3.3/BoolData.cs
===================================================================
--- /trunk/sources/HeuristicLab.Data/3.3/BoolData.cs	(revision 2664)
+++ /trunk/sources/HeuristicLab.Data/3.3/BoolData.cs	(revision 2665)
@@ -28,44 +28,31 @@
 
 namespace HeuristicLab.Data {
-  /// <summary>
-  /// Class to represent boolean values.
-  /// </summary>
   [EmptyStorableClass]
-  public class BoolData : ObjectData {
-    /// <summary>
-    /// Gets or sets the boolean value.
-    /// </summary>
-    /// <remarks>Uses property <see cref="ObjectData.Data"/>
-    /// of base class <see cref="ObjectData"/>. No own data storage present.</remarks>
-    public new bool Data {
-      get { return (bool)base.Data; }
-      set { base.Data = value; }
+  [Item("Boolean", "Represents a boolean value.")]
+  [Creatable("Test")]
+  public sealed class BoolData : ValueTypeData<bool>, IStringConvertibleData {
+    public BoolData() : base() { }
+    public BoolData(bool value)
+      : base() {
+      Value = value;
     }
 
-    /// <summary>
-    /// Initializes a new instance of <see cref="BoolData"/> with default value <c>false</c>.
-    /// </summary>
-    public BoolData() {
-      Data = false;
-    }
-    /// <summary>
-    /// Initializes a new instance of <see cref="BoolData"/> with the boolean value <paramref name="data"/>.
-    /// </summary>
-    /// <param name="data">The boolean value to assign.</param>
-    public BoolData(bool data) {
-      Data = data;
+    public override IDeepCloneable Clone(Cloner cloner) {
+      BoolData clone = new BoolData(Value);
+      cloner.RegisterClonedObject(this, clone);
+      return clone;
     }
 
-    /// <summary>
-    /// Clones the current instance.
-    /// </summary>
-    /// <remarks>The cloned instance is added to the <paramref name="dictionary"/>.</remarks>
-    /// <param name="clonedObjects">Dictionary of all already cloned objects.</param>
-    /// <returns>The cloned instance as <see cref="BoolData"/>.</returns>
-    public override IItem Clone(ICloner cloner) {
-      BoolData clone = new BoolData();
-      cloner.RegisterClonedObject(this, clone);
-      clone.Data = Data;
-      return clone;
+    string IStringConvertibleData.GetValue() {
+      return Value.ToString();
+    }
+    bool IStringConvertibleData.SetValue(string value) {
+      bool b;
+      if (bool.TryParse(value, out b)) {
+        Value = b;
+        return true;
+      } else {
+        return false;
+      }
     }
   }
Index: /trunk/sources/HeuristicLab.Data/3.3/DateTimeData.cs
===================================================================
--- /trunk/sources/HeuristicLab.Data/3.3/DateTimeData.cs	(revision 2665)
+++ /trunk/sources/HeuristicLab.Data/3.3/DateTimeData.cs	(revision 2665)
@@ -0,0 +1,59 @@
+#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2008 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System;
+using System.Collections.Generic;
+using System.Text;
+using System.Xml;
+using HeuristicLab.Core;
+using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+
+namespace HeuristicLab.Data {
+  [EmptyStorableClass]
+  [Item("DateTime", "Represents a date and time value.")]
+  [Creatable("Test")]
+  public sealed class DateTimeData : ValueTypeData<DateTime>, IStringConvertibleData {
+    public DateTimeData() : base() { }
+    public DateTimeData(DateTime value)
+      : base() {
+      Value = value;
+    }
+
+    public override IDeepCloneable Clone(Cloner cloner) {
+      DateTimeData clone = new DateTimeData(Value);
+      cloner.RegisterClonedObject(this, clone);
+      return clone;
+    }
+
+    string IStringConvertibleData.GetValue() {
+      return Value.ToString();
+    }
+    bool IStringConvertibleData.SetValue(string value) {
+      DateTime d;
+      if (DateTime.TryParse(value, out d)) {
+        Value = d;
+        return true;
+      } else {
+        return false;
+      }
+    }
+  }
+}
Index: /trunk/sources/HeuristicLab.Data/3.3/DoubleData.cs
===================================================================
--- /trunk/sources/HeuristicLab.Data/3.3/DoubleData.cs	(revision 2664)
+++ /trunk/sources/HeuristicLab.Data/3.3/DoubleData.cs	(revision 2665)
@@ -25,48 +25,34 @@
 using System.Xml;
 using HeuristicLab.Core;
-using System.Globalization;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
 namespace HeuristicLab.Data {
-  /// <summary>
-  /// Class to represent double values.
-  /// </summary>
   [EmptyStorableClass]
-  public class DoubleData : ObjectData {
-    /// <summary>
-    /// Gets or sets the double value.
-    /// </summary>
-    /// <remarks>Uses property <see cref="ObjectData.Data"/> of base class <see cref="ObjectData"></see>. 
-    /// No own data storage present.</remarks>
-    public new double Data {
-      get { return (double)base.Data; }
-      set { base.Data = value; }
+  [Item("Double", "Represents a double value.")]
+  [Creatable("Test")]
+  public sealed class DoubleData : ValueTypeData<double>, IStringConvertibleData {
+    public DoubleData() : base() { }
+    public DoubleData(double value)
+      : base() {
+      Value = value;
     }
 
-    /// <summary>
-    /// Initializes a new instance of <see cref="DoubleData"/> with default value <c>0.0</c>.
-    /// </summary>
-    public DoubleData() {
-      Data = 0.0;
-    }
-    /// <summary>
-    /// Initializes a new instance of <see cref="DoubleData"/>.
-    /// <note type="caution"> No CopyConstructor! <paramref name="data"/> is not copied!</note>
-    /// </summary>
-    /// <param name="data">The double value the instance should represent.</param>
-    public DoubleData(double data) {
-      Data = data;
+    public override IDeepCloneable Clone(Cloner cloner) {
+      DoubleData clone = new DoubleData(Value);
+      cloner.RegisterClonedObject(this, clone);
+      return clone;
     }
 
-    /// <summary>
-    /// Clones the current instance and adds it to the dictionary <paramref name="clonedObjects"/>.
-    /// </summary>
-    /// <param name="clonedObjects">Dictionary of all already cloned objects.</param>
-    /// <returns>The cloned instance as <see cref="DoubleData"/>.</returns>
-    public override IItem Clone(ICloner cloner) {
-      DoubleData clone = new DoubleData();
-      cloner.RegisterClonedObject(this, clone);
-      clone.Data = Data;
-      return clone;
+    string IStringConvertibleData.GetValue() {
+      return Value.ToString();
+    }
+    bool IStringConvertibleData.SetValue(string value) {
+      double d;
+      if (double.TryParse(value, out d)) {
+        Value = d;
+        return true;
+      } else {
+        return false;
+      }
     }
   }
Index: /trunk/sources/HeuristicLab.Data/3.3/HeuristicLab.Data-3.3.csproj
===================================================================
--- /trunk/sources/HeuristicLab.Data/3.3/HeuristicLab.Data-3.3.csproj	(revision 2664)
+++ /trunk/sources/HeuristicLab.Data/3.3/HeuristicLab.Data-3.3.csproj	(revision 2665)
@@ -100,4 +100,17 @@
   </ItemGroup>
   <ItemGroup>
+    <Compile Include="BoolData.cs">
+      <SubType>Code</SubType>
+    </Compile>
+    <Compile Include="ReferenceTypeData.cs" />
+    <Compile Include="StringData.cs">
+      <SubType>Code</SubType>
+    </Compile>
+    <Compile Include="TimeSpanData.cs" />
+    <Compile Include="DateTimeData.cs" />
+    <Compile Include="DoubleData.cs">
+      <SubType>Code</SubType>
+    </Compile>
+    <Compile Include="IStringConvertibleData.cs" />
     <Compile Include="ValueTypeData.cs">
       <SubType>Code</SubType>
Index: /trunk/sources/HeuristicLab.Data/3.3/IStringConvertibleData.cs
===================================================================
--- /trunk/sources/HeuristicLab.Data/3.3/IStringConvertibleData.cs	(revision 2665)
+++ /trunk/sources/HeuristicLab.Data/3.3/IStringConvertibleData.cs	(revision 2665)
@@ -0,0 +1,34 @@
+#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2008 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System;
+using System.Collections.Generic;
+using System.Text;
+using System.Xml;
+
+namespace HeuristicLab.Data {
+  public interface IStringConvertibleData {
+    string GetValue();
+    bool SetValue(string value);
+
+    event EventHandler ValueChanged;
+  }
+}
Index: /trunk/sources/HeuristicLab.Data/3.3/IntData.cs
===================================================================
--- /trunk/sources/HeuristicLab.Data/3.3/IntData.cs	(revision 2664)
+++ /trunk/sources/HeuristicLab.Data/3.3/IntData.cs	(revision 2665)
@@ -29,7 +29,7 @@
 namespace HeuristicLab.Data {
   [EmptyStorableClass]
-  [Item("Int Data", "Represents an integer value.")]
+  [Item("Integer", "Represents an integer value.")]
   [Creatable("Test")]
-  public sealed class IntData : ValueTypeData<int> {
+  public sealed class IntData : ValueTypeData<int>, IStringConvertibleData {
     public IntData() : base() { }
     public IntData(int value)
@@ -43,4 +43,17 @@
       return clone;
     }
+
+    string IStringConvertibleData.GetValue() {
+      return Value.ToString();
+    }
+    bool IStringConvertibleData.SetValue(string value) {
+      int i;
+      if (int.TryParse(value, out i)) {
+        Value = i;
+        return true;
+      } else {
+        return false;
+      }
+    }
   }
 }
